%if 0%{?fedora}
# There are some missing deps
%global with_python3 0
%endif

%global pypi_name os-brick

Name:           python-%{pypi_name}
Version:        0.5.0
Release:        6%{?dist}
Summary:        OpenStack Cinder brick library for managing local volume attaches

License:        ASL 2.0
URL:            http://www.openstack.org/
Source0:        https://pypi.python.org/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

# patches_base=0.5.0+2
Patch0001: 0001-Fix-test_connect_volume-when-skip-is-bypassed.patch
Patch0002: 0002-Fix-iopsLimit-parameter-in-ScaleIO-connector.patch
Patch0003: 0003-Fix-cmd-execution-stderr-stdout-unicode-errors.patch
Patch0004: 0004-Fix-iSCSI-multipath-cleanup.patch
Patch0005: 0005-Fix-FC-multipath-cleanup.patch
Patch0006: 0006-Fix-FC-multipath-rescan.patch
Patch0007: 0007-Fix-iSCSI-multipath-rescan.patch
Patch0008: 0008-Refactor-iSCSI-disconnect.patch
Patch0009: 0009-Refactor-iSCSI-connect.patch
Patch0010: 0010-Add-open-iscsi-manual-scan-support.patch
Patch0011: 0011-Fix-iSCSI-cleanup-issue-when-using-discovery.patch
Patch0012: 0012-iSCSI-multipath-improve-logging-on-connect.patch
Patch0013: 0013-Fix-manual-scan-for-discovery-type-backends.patch
Patch0014: 0014-Fix-iSCSI-cleanup-fix-on-discovery-backends.patch
Patch0015: 0015-Return-symlinks-for-encrypted-volumes.patch
Patch0016: 0016-Return-WWN-in-multipath_id.patch
Patch0017: 0017-Don-t-obscure-logs-on-iSCSI-sendtargets-failure.patch
Patch0018: 0018-Get-the-right-portal-from-output-of-iscsiadm-command.patch
Patch0019: 0019-Fix-iSCSI-volume-attachment-over-RDMA-transport.patch
Patch0020: 0020-Protect-against-race-within-os.path.realpath.patch
Patch0021: 0021-Fixing-FC-scanning.patch

BuildArch:      noarch

Provides:       python2-%{pypi_name} = %{version}-%{release}
Provides:       os-brick = %{version}-%{release}

Requires:       python-babel >= 1.3
Requires:       python-oslo-serialization >= 1.4.0
Requires:       python-oslo-concurrency >= 2.3.0
Requires:       python-oslo-i18n >= 1.5.0
Requires:       python-oslo-log >= 1.8.0
Requires:       python-oslo-service >= 0.7.0
Requires:       python-oslo-utils >= 2.0.0
Requires:       python-requests >= 2.5.2
Requires:       python-retrying
Requires:       python-six >= 1.9.0

BuildRequires:  python2-devel
BuildRequires:  python-pbr
BuildRequires:  python-sphinx
BuildRequires:  python-oslo-concurrency  >= 2.3.0
BuildRequires:  python-oslo-i18n >= 1.5.0
BuildRequires:  python-oslo-log >= 1.8.0
BuildRequires:  python-oslo-service >= 0.7.0
BuildRequires:  python-oslo-sphinx >= 2.5.0
BuildRequires:  python-requests >= 2.5.2
BuildRequires:  python-six >= 1.9.0
BuildRequires:  python-setuptools

%description
OpenStack Cinder brick library for managing local volume attaches

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        OpenStack Cinder brick library for managing local volume attaches
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-babel >= 1.3
Requires:       python3-oslo-serialization >= 1.4.0
Requires:       python3-oslo-concurrency >= 2.3.0
Requires:       python3-oslo-i18n >= 1.5.0
Requires:       python3-oslo-log >= 1.8.0
Requires:       python3-oslo-service >= 0.7.0
Requires:       python3-oslo-utils >= 2.0.0
Requires:       python3-requests >= 2.5.2
Requires:       python3-retrying
Requires:       python3-six >= 1.9.0

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-sphinx
BuildRequires:  python3-oslo-concurrency  >= 2.3.0
BuildRequires:  python3-oslo-i18n >= 1.5.0
BuildRequires:  python3-oslo-log >= 1.8.0
BuildRequires:  python3-oslo-service >= 0.7.0
BuildRequires:  python3-oslo-sphinx >= 2.5.0
BuildRequires:  python3-requests >= 2.5.2
BuildRequires:  python3-six >= 1.9.0
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
OpenStack Cinder brick library for managing local volume attaches

%endif

%prep
%setup -q -n %{pypi_name}-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1

%build
%{__python2} setup.py build
%if 0%{?with_python3}
%py3_build
%endif

%install
%{__python} setup.py install --skip-build --root %{buildroot}
# generate html docs
sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%if 0%{?with_python3}
%py3_install
%endif

# Move config files to proper location
install -d -m 755 %{buildroot}%{_datarootdir}/%{pypi_name}/rootwrap
mv %{buildroot}/usr/etc/os-brick/rootwrap.d/*.filters %{buildroot}%{_datarootdir}/%{pypi_name}/rootwrap

%files
%license LICENSE
%doc html README.rst
%{python2_sitelib}/os_brick*
%{_datarootdir}/%{pypi_name}

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%license LICENSE
%doc html README.rst
%{python3_sitelib}/os_brick*
%{_datarootdir}/%{pypi_name}
%endif

%changelog
* Mon Jan 29 2018 Gorka Eguileor <geguileo@redhat.com> 0.5.0-6
- Fixing FC scanning (RHBZ#1498421)

* Tue Oct 24 2017 Gorka Eguileor <geguileo@redhat.com> 0.5.0-5
- Protect against race within os.path.realpath (RHBZ#1503263)

* Wed Sep 06 2017 Gorka Eguileor <geguileo@redhat.com> 0.5.0-4
- Refactor iSCSI to increase reliability (RHBZ#1418856 RHBZ#1426441 RHBZ#1426442)

* Thu Sep 22 2016 Eric Harney <eharney@redhat.com> 0.5.0-3
- Fix iSCSI/FC multipath cleanup and rescan (RHBZ #1372428)

* Tue Aug 30 2016 Eric Harney <eharney@redhat.com> 0.5.0-2
- ScaleIO: Fix iopsLimit parameter (RHBZ #1366592)
- Fix cmd execution unicode errors (RHBZ #1371695)

* Thu Nov 05 2015 Jon Schlueter <jschluet@redhat.com> 0.5.0-1.4
- revert to python-XXX with provides python2-XXX

* Wed Oct 28 2015 Jon Schlueter <jschluet@redhat.com> 0.5.0-1.3
- add back in provides os-brick since openstack-cinder depends on that name

* Tue Oct 27 2015 Jon Schlueter <jschluet@redhat.com> 0.5.0-1.2
- fix provide to be python-os-brick instead of just os-brick

* Tue Oct 27 2015 Jon Schlueter <jschluet@redhat.com> 0.5.0-1.1
- reverted py2_build and py2_install to older forms

* Wed Sep 30 2015 Javier Peña <jpena@redhat.com> - 0.5.0-1
- Bumped to upstream 0.5.0.
- Disabling python3 subpkg due to missing dependencies.
- Set min requirements and own directories.
* Tue Sep 15 2015 Javier Peña <jpena@redhat.com> - 0.4.0-1
- Initial package.
